%define anolis_release 1

%global pypi_name sphinxcontrib-qthelp

# when bootstrapping sphinx, we cannot run tests yet
%bcond_with check

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        %{anolis_release}%{?dist}
Summary:        Sphinx extension for QtHelp documents
License:        BSD
URL:            http://sphinx-doc.org/
Source0:        %{pypi_source}
BuildArch:      noarch

# In Sphinx 5 path.read_text() replaces path.text() - compatibility fix
Patch:          https://github.com/sphinx-doc/sphinxcontrib-qthelp/pull/14.patch

BuildRequires:  gettext
BuildRequires:  python%{python3_pkgversion}-devel

%if %{with check}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-sphinx
%endif

%description
sphinxcontrib-qthelp is a sphinx extension which outputs QtHelp document.


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
sphinxcontrib-qthelp is a sphinx extension which outputs QtHelp document.

%package -n     python%{python3_pkgversion}-%{pypi_name}-doc
Summary:        doc files for python%{python3_pkgversion}-%{pypi_name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{pypi_name}-doc
doc files for python%{python3_pkgversion}-%{pypi_name}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
find -name '*.mo' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%pyproject_wheel


%install
%pyproject_install

# Move language files to /usr/share
pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/qthelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/qthelp/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/qthelp/locales
ln -s %{_datadir}/locale sphinxcontrib/qthelp/locales
popd


%find_lang sphinxcontrib.qthelp


%if %{with check}
%check
%pytest
%endif


%files -n python%{python3_pkgversion}-%{pypi_name} -f sphinxcontrib.qthelp.lang
%license LICENSE
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_qthelp-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_qthelp-%{version}.dist-info/

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc README.rst

%changelog
* Fri Mar 24 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.3-1
- Init upstream from version 1.0.3
